### Class

# Dex StaticFuture

#### Description [src]

    final class Dex.StaticFuture : GObject.TypeInstance
    {
      /* No available fields */
    }

`DexStaticFuture` represents a future that is resolved from the initial state.

Use this when you need to create a future for API reasons but already have the value or rejection at that point.

`DexStaticFuture` is used internally by functions like `dex_future_new_for_boolean()` and similar.

#### Hierarchy

#### Ancestors

- DexFuture
- DexObject

#### Instance methods

##### Methods inherited from DexFuture (24)

Please see DexFuture for a full list of methods.

##### Methods inherited from DexObject (2)

###### dex_ref

Acquires a reference on the given object, and increases its reference count by one.

###### dex_unref

Releases a reference on the given object, and decreases its reference count by one.